perl-Acme-VarMess-0.01-alt1.noarch.rpm


Advertisement

Description

perl-Acme-VarMess - Blow up your variable names

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package filename perl-Acme-VarMess-0.01-alt1.noarch.rpm
Package name perl-Acme-VarMess
Package version 0.01
Package release alt1
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage -
License -
Maintainer -
Download size 2.32 KB
Installed size 2.32 KB
This module screws up the variables in your source code and replace
them with md5-digest-like strings. It also strips comments and PODs in
your source. There's *no* warranty that VarMess-ed code still works
normally.
dont_blow() takes a list of symbols that you don't want to be
replaced.
Turn on $Acme::VarMess::DEBUG if you want to see the mapping table.

Alternatives

Package Version Architecture Repository
perl-Acme-VarMess - - -

Requires

Name Value
/usr/share/perl5 -
perl(Data/Dumper.pm) -
perl(Digest/MD5.pm) -
perl(List/Util.pm) -
perl(PPI.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Acme/VarMess.pm) = 0.010
perl-Acme-VarMess = 0.01-alt1

Download

Type URL
Mirror ftp.altlinux.org
Binary Package perl-Acme-VarMess-0.01-alt1.noarch.rpm
Source Package perl-Acme-VarMess-0.01-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Acme-VarMess rpm package:
    # sudo apt-get install perl-Acme-VarMess

Files

Path
/usr/share/perl5/Acme/VarMess.pm

See Also

Package Description
perl-Acme-Version-Hex-0.0009765625-alt1.noarch.rpm a module that declares its $VERSION in hexadecimal
perl-Acme-Very-Modern-Perl-0.05-alt1.noarch.rpm Use the most modern of Perl!
perl-Acme-VerySign-1.00-alt1.noarch.rpm perl module Acme-VerySign
perl-Acme-Void-0.02-alt1.noarch.rpm perl module Acme-Void
perl-Acme-Voodoo-0.3-alt1.noarch.rpm Do bad stuff to your objects
perl-Acme-W-0.03-alt1.noarch.rpm Enjoy programing with planting grass!
perl-Acme-WTF-0.03-alt1.noarch.rpm The great new Acme::WTF!
perl-Acme-Wabby-0.13-alt1.noarch.rpm perl module Acme-Wabby
perl-Acme-WalkMethods-0.1-alt1.noarch.rpm perl module Acme-WalkMethods
perl-Acme-WallisdsFirstModule-0.03-alt1.noarch.rpm perl module Acme-WallisdsFirstModule
perl-Acme-Want5000trillion-0.03-alt1.noarch.rpm I want 5000trillion yen
perl-Acme-Warn-LOLCAT-0.02-alt1.noarch.rpm perl module Acme-Warn-LOLCAT
perl-Acme-Waterkip-0.001-alt1.noarch.rpm You should never use this module unless you are a waterkip
perl-Acme-Web-PodDisplay-0.91-alt1.noarch.rpm Module for testing various CPAN web interfaces and their POD interactions
perl-Acme-Web20-Validator-0.01-alt1.noarch.rpm Web 2.0 Validation
Advertisement
Advertisement